Subject: [Technical Errata Reported] RFC5952 (3884)

From: RFC Errata System <[email-masked]>
Date: Thu, 6 Feb 2014 02:00:13 -0800 (PST)

The following errata report has been submitted for RFC5952,
"A Recommendation for IPv6 Address Text Representation".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5952&eid=3884

--------------------------------------
Type: Technical
Reported by: Richard Hartmann <[email-masked]>

Section: 4.2.2.

Original Text
-------------
4.2.2.  Handling One 16-Bit 0 Field

   The symbol "::" MUST NOT be used to shorten just one 16-bit 0 field.
   For example, the representation 2001:db8:0:1:1:1:1:1 is correct, but
   2001:db8::1:1:1:1:1 is not correct.

Corrected Text
--------------
4.2.2.  Incorrect use of "::"

   The symbol "::" MUST NOT be used to shorten just one 16-bit 0 field.
   For example, the representation 2001:db8:0:1:1:1:1:1 is correct, but
   2001:db8::1:1:1:1:1 is not correct.

   The symbol "::" MUST NOT be used just so. For example, the
   representation 2001:db8:1:1:1:1:1:1 is correct, but
   2001:db8:1:1::1:1:1:1 is not correct.

Notes
-----
You would think this should be obvious, but I have seen actual discussions that 2001:db8:1:1::1:1:1:1 is correct syntax. Explicitly forbidding this form does no harm and stops all discussions in this direction.

Thanks for your work.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5952 (draft-ietf-6man-text-addr-representation-07)
--------------------------------------
Title               : A Recommendation for IPv6 Address Text Representation
Publication Date    : August 2010
Author(s)           : S. Kawamura, M. Kawashima
Category            : PROPOSED STANDARD
Source              : IPv6 Maintenance
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: Seiichi Kawamura <[email-masked]>
Date: Wed, 12 Feb 2014 13:57:40 +0900

Hi

Thanks for your comments.

RFC5952 updates RFC4291.
In RFC4291 section 2.2 states

      The use of "::" indicates one or more groups of 16 bits of zeros.

so in the case you raise,

> You would think this should be obvious, but I have seen actual discussions that
2001:db8:1:1::1:1:1:1 is correct syntax. Explicitly forbidding this form does no harm and
stops all discussions in this direction.

those people must not have read RFC4291.
RFC5952 section 4. first paragraph specifically states
"The recommendation in this
   document is one that complies fully with [RFC4291]"

It took me a while to figure out what you were trying to
point out to with your revised text, so the best way I think
is to put a pointer to RFC4291, which we've already done.
So I don't really see much of a need to revise for this.

Regards,
Seiichi

---

From: Richard Hartmann <[email-masked]>
Date: Wed, 12 Feb 2014 07:52:07 +0100

Hi Seiichi,

You are correct; sorry for not seeing this myself..

Thanks,
Richard

Sent by mobile; excuse my brevity.